/*
 * ForderungPruefer.java
 * eu.gronos.kostenrechner.controller.forderungen (Kostenrechner)
 */
package eu.gronos.kostenrechner.util.forderungen;

import eu.gronos.kostenrechner.data.forderungen.Forderung;
import eu.gronos.kostenrechner.interfaces.Pruefend;
import eu.gronos.kostenrechner.view.HinzufuegenDialog;

/**
 * TODO (kommentieren): Klasse beschreiben
 *
 * @author Peter Schuster (setrok)
 * @date 16.07.2020
 *
 */
public final class ForderungPruefer implements Pruefend<Forderung> {
	/**
	 * Die Methode dient dazu, TODO (kommentieren)
	 * 
	 * @param eingabe
	 * @return
	 * @throws IllegalArgumentException TODO
	 * 
	 * @see eu.gronos.kostenrechner.interfaces.Pruefend#pruefeEingabe(java.lang.Object)
	 */
	@Override
	public boolean pruefeEingabe(Forderung eingabe) throws IllegalArgumentException {
		if (eingabe.getErfolg() > eingabe.getWert()) {
			throw new IllegalArgumentException(HinzufuegenDialog.FEHLER_BEGRUENDETHEIT_GT_WERT);
		}

		return true;
	}
}